package se.chalmers.cs.gf.tramdemo;

import se.gu.ling.trindikit.oaa.common.*;

import com.sri.oaa2.icl.*;

public class MapDrawSolver extends OAASolver {

        private static String solvableString = "draw(Instrs)";
        
        private TramMap map;

        public MapDrawSolver(TramMap map) {
                super(solvableString);
                this.map = map;
        }

        public boolean solve(IclTerm goal, IclList params, IclList answers) {
                if (!goal.getTerm(0).isStr())
                        return false;
                IclStr t = (IclStr)goal.getTerm(0);
                String is = t.toUnquotedString();
                map.doDrawInstrs(is);

                IclTerm ans = new IclStruct("draw", t);
                answers.add(ans);

                return true;
        }
        
}
